#ifndef MD_DEFS_H
#define MD_DEFS_H

//update this if you have different LCD
//LCD I2C Controller
#define I2C_ADDR 0x27  // address for LCD I2C controller
#define BACKLIGHT_PIN 3
#define En_pin  2
#define Rw_pin  1
#define Rs_pin  0
#define D4_pin  4
#define D5_pin  5
#define D6_pin  6
#define D7_pin  7
#define LED_OFF  0
#define LED_ON  1
#define PIN_LED1 13

//modify for your system!!!
//SIGNAL
//connect TGSL 
#define XPin A0   //Arduino A0 -> TGLS U104 pin 6
#define RPin A1   //Arduino A1 -> TGLS U105 pin 6
#define BPin A2   //Arduino A2 -> battery voltage divided with resistors
#define SND_PIN 7 //Arduino Dig7 -> sound pin

//Rotary Encoder with a push button
//GND -> encoder pin C
//GND -> encoder button pin 1
#define PIN_ENC1 2   //Arduino 2 -> encoder pin A
#define PIN_ENC2 3   //Arduino 3 -> encoder pin B
#define PIN_EBTN 4   //Arduino 4 -> encoder button pin 0

//<<<<<modify it to your system!!!! this is for 32k/100K resistors
//bettery scaler
#define BATTERY_SCALER 4.124F  

//beep length milliseconds
#define SND_LOW_TONE	  		460
#define SND_HIGH_TONE	 		840
#define SND_LENGTH				300

#endif


